# Uses of Interface
org.eclipse.zest.layouts.LayoutRelationship

Packages that use LayoutRelationship
Package
Description
org.eclipse.zest.core.widgets
org.eclipse.zest.layouts
org.eclipse.zest.layouts.algorithms
org.eclipse.zest.layouts.dataStructures

## Uses of LayoutRelationship in org.eclipse.zest.core.widgets

Methods in org.eclipse.zest.core.widgets that return LayoutRelationship
Modifier and Type
Method
Description
`LayoutRelationship`
GraphConnection.`getLayoutRelationship()`
Deprecated, for removal: This API element is subject to removal in a future version.
Not used in Zest 2.x.

## Uses of LayoutRelationship in org.eclipse.zest.layouts

Methods in org.eclipse.zest.layouts with parameters of type LayoutRelationship
Modifier and Type
Method
Description
`void`
LayoutAlgorithm.Zest1.`addRelationship(LayoutRelationship relationship)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
LayoutGraph.`addRelationship(LayoutRelationship relationship)`
Deprecated, for removal: This API element is subject to removal in a future version.
Adds the given relationship.
`void`
LayoutAlgorithm.Zest1.`applyLayout(LayoutEntity[] entitiesToLayout, LayoutRelationship[] relationshipsToConsider, double x, double y, double width, double height, boolean asynchronous, boolean continuous)`
Deprecated, for removal: This API element is subject to removal in a future version.
Apply the layout to the given entities.
`void`
LayoutAlgorithm.Zest1.`removeRelationship(LayoutRelationship relationship)`
Deprecated, for removal: This API element is subject to removal in a future version.
Method parameters in org.eclipse.zest.layouts with type arguments of type LayoutRelationship
Modifier and Type
Method
Description
`void`
LayoutAlgorithm.Zest1.`removeRelationships(List<? extends LayoutRelationship> relationships)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Uses of LayoutRelationship in org.eclipse.zest.layouts.algorithms

Methods in org.eclipse.zest.layouts.algorithms with parameters of type LayoutRelationship
Modifier and Type
Method
Description
`void`
AbstractLayoutAlgorithm.Zest1.`addRelationship(LayoutRelationship relationship)`
Deprecated, for removal: This API element is subject to removal in a future version.
Queues up the given relationshp (if it isn't in the list) to be added to the algorithm.
`void`
AbstractLayoutAlgorithm.Zest1.`applyLayout(LayoutEntity[] entitiesToLayout, LayoutRelationship[] relationshipsToConsider, double x, double y, double width, double height, boolean asynchronous, boolean continuous)`
Deprecated, for removal: This API element is subject to removal in a future version.
This actually applies the layout
`void`
AbstractLayoutAlgorithm.Zest1.`removeRelationship(LayoutRelationship relationship)`
Deprecated, for removal: This API element is subject to removal in a future version.
Queues up the given relationship to be removed from the algorithm next time it runs.
`static boolean`
AbstractLayoutAlgorithm.Zest1.`verifyInput(LayoutEntity[] entitiesToLayout, LayoutRelationship[] relationshipsToConsider)`
Deprecated, for removal: This API element is subject to removal in a future version.
Verifies the endpoints of the relationships are entities in the entitiesToLayout list.
Method parameters in org.eclipse.zest.layouts.algorithms with type arguments of type LayoutRelationship
Modifier and Type
Method
Description
`void`
AbstractLayoutAlgorithm.Zest1.`removeRelationships(Collection<? extends LayoutRelationship> collection)`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
AbstractLayoutAlgorithm.Zest1.`removeRelationships(List<? extends LayoutRelationship> relationships)`
Deprecated, for removal: This API element is subject to removal in a future version.
Queues up all the relationships in the list to be removed.

## Uses of LayoutRelationship in org.eclipse.zest.layouts.dataStructures

Classes in org.eclipse.zest.layouts.dataStructures that implement LayoutRelationship
Modifier and Type
Class
Description
`class`
`InternalRelationship`
Deprecated, for removal: This API element is subject to removal in a future version.
No longer used in Zest 2.x.
Methods in org.eclipse.zest.layouts.dataStructures that return LayoutRelationship
Modifier and Type
Method
Description
`LayoutRelationship`
InternalRelationship.`getLayoutRelationship()`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructors in org.eclipse.zest.layouts.dataStructures with parameters of type LayoutRelationship
Modifier
Constructor
Description
``
`InternalRelationship(LayoutRelationship externalRelationship, InternalNode source, InternalNode destination)`
Deprecated, for removal: This API element is subject to removal in a future version.